Loading...
Searching...
No Matches
websocketpp::extensions Namespace Reference

## Namespaces

namespace | permessage_deflate
| Implementation of RFC 7692, the permessage-deflate WebSocket extension.

## Detailed Description

Some generic information about extensions

Each extension object has an implemented flag. It can be retrieved by calling is_implemented(). This compile time flag indicates whether or not the object in question actually implements the extension or if it is a placeholder stub

Each extension object also has an enabled flag. It can be retrieved by calling is_enabled(). This runtime flag indicates whether or not the extension has been negotiated for this connection.